# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Defines

- a
- b
- d
- g
- i
- m
- n
- o
- s

### - a -

- AddNewVlist() : block_match.h
- AddNewVlistD() : block_match.h
- AddVect() : block_match.h

### - b -

- BChk() : common.h
- BlockParametersIndex() : video_format_defaults.h

### - d -

- dirac_assert() : dirac_assertions.h
- dirac_buffer() : dirac_parser.h
- dirac_decoder_close() : dirac_parser.h
- dirac_decoder_init() : dirac_parser.h
- dirac_encoder_close() : dirac_encoder.h
- dirac_encoder_context_init() : dirac_encoder.h
- dirac_encoder_end_sequence() : dirac_encoder.h
- dirac_encoder_init() : dirac_encoder.h
- dirac_encoder_load() : dirac_encoder.h
- dirac_encoder_output() : dirac_encoder.h
- dirac_parse() : dirac_parser.h
- dirac_report() : dirac_assertions.h
- dirac_set_buf() : dirac_parser.h
- dirac_skip() : dirac_parser.h

### - g -

- GetMean() : motion.h
- GetVar() : block_match.h

### - i -

- IntToAspectRatioType() : common.h
- IntToChromaFormat() : common.h
- IntToFrameRateType() : common.h
- IntToMVPrecisionType() : common.h
- IntToSignalRangeType() : common.h
- IntToVideoFormat() : common.h

### - m -

- MvMean() : motion.h
- MvMedian() : motion.h

### - n -

- Norm1() : motion.h
- Norm2() : motion.h

### - o -

- operator<<() : motion.h, dirac_exception.h, arrays.h
- operator>>() : motion.h, arrays.h

### - s -

- SetDefaultBlockParameters() : video_format_defaults.h
- SetDefaultCodecParameters() : video_format_defaults.h
- SetDefaultEncoderParameters() : video_format_defaults.h
- SetDefaultSequenceParameters() : video_format_defaults.h
- SetDefaultSourceParameters() : video_format_defaults.h
- setstdinmode() : setstdiomode.h
- setstdoutmode() : setstdiomode.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.